Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.command
Class CommandExecuteStreamHandler

    java.lang.Object
      com.atlassian.bamboo.command.CommandExecuteStreamHandler

    public class CommandExecuteStreamHandler

extends Object

This class returns the contents of the output stream and error streams that resulted from executing a command line.

Constructor Summary
`CommandExecuteStreamHandler(Build build)`

Method Summary
`List` | `getCommandOutputLines()` Returns all the output generated by the command
`List` | `getErrorOutputLines()` Returns all of the commands error output
`void` | `setProcessErrorStream(InputStream inputStream)` Process the commands error stream
`void` | `setProcessInputStream(OutputStream outputStream)` Handle the command's input stream - currently ignored
`void` | `setProcessOutputStream(InputStream inputStream)` Process the command output stream
`void` | `start()` Required by the intereface, but not implemented
`void` | `stop()` Stop the threads

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandExecuteStreamHandler

    public CommandExecuteStreamHandler(Build build)

Method Detail

### setProcessInputStream

    public void setProcessInputStream(OutputStream outputStream)
                               throws IOException

  Handle the command's input stream - currently ignored

  Parameters:
    `outputStream` - The output stream
  Throws:
    `IOException` - Failure

### setProcessErrorStream

    public void setProcessErrorStream(InputStream inputStream)
                               throws IOException

  Process the commands error stream

  Parameters:
    `inputStream` - The error stream
  Throws:
    `IOException` - Something went wrong

### setProcessOutputStream

    public void setProcessOutputStream(InputStream inputStream)
                                throws IOException

  Process the command output stream

  Parameters:
    `inputStream` - The data output from the command
  Throws:
    `IOException` - Something went wrong

### start

    public void start()
               throws IOException

  Required by the intereface, but not implemented

  Throws:
    `IOException` - Will never happen!

### stop

    public void stop()

  Stop the threads

### getErrorOutputLines

    public List getErrorOutputLines()

  Returns all of the commands error output

  Returns:
    The collection of error lines

### getCommandOutputLines

    public List getCommandOutputLines()

  Returns all the output generated by the command

  Returns:
    The collection of output lines

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.